Inhoud

# Instructie Set

Stelt een objectverwijzing in op een variabele.

### Syntaxis:

       [Set] variable = [New] object

### Parameters:

variable: een variabele of een eigenschap waarvoor een objectverwijzing vereist is.

expression: Een berekenbare combinatie van termen, zoals een formule of een objecteigenschap of methode.

object: Object waarnaar de variabele verwijst.

Nothing - Wijs Nothing toe aan een variabele om een eerdere toewijzing te verwijderen.

Het sleutelwoord Set optioneel. De standaardwaarde voor objecten is Nothing.

### Voorbeeld:

    Sub ExampleSet
        Dim obj As Object
        Set obj = ThisComponent
        Print obj.Title

        obj = New com.sun.star.beans.PropertyValue
        With obj
            .Name = "key" : .Value = 594.34
            Print .Name, .Value
        End With
    End Sub

Nieuw maakt UNO-objecten of klassenmodule-objecten, voordat deze aan een variabele worden toegewezen.

Verwante onderwerpen

Operator New